org.h2.table

## Class SubQueryInfo

- java.lang.Object
- - org.h2.table.SubQueryInfo

    public class SubQueryInfo
    extends java.lang.Object

Information about current sub-query being prepared.

### Constructor Summary

Constructors
Constructor and Description
`SubQueryInfo(SubQueryInfo upper, int[] masks, TableFilter[] filters, int filter, SortOrder sortOrder)`

### Method Summary

Methods
`int` `getFilter()`
`TableFilter[]` `getFilters()`
`int[]` `getMasks()`
`SortOrder` `getSortOrder()`
`SubQueryInfo` `getUpper()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubQueryInfo

    public SubQueryInfo(SubQueryInfo upper,
                int[] masks,
                TableFilter[] filters,
                int filter,
                SortOrder sortOrder)

Parameters:
  `upper` - upper level sub-query if any
  `masks` - index conditions masks
  `filters` - table filters
  `filter` - current filter
  `sortOrder` - sort order

### Method Detail

#### getUpper

    public SubQueryInfo getUpper()

#### getMasks

    public int[] getMasks()

#### getFilters

    public TableFilter[] getFilters()

#### getFilter

    public int getFilter()

#### getSortOrder

    public SortOrder getSortOrder()